Update a task
curl --request PATCH \
--url https://api.nextlevelmca.com/v1/tasks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"due_date": "<string>",
"assignee_id": "<string>",
"completed": true
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
due_date: '<string>',
assignee_id: '<string>',
completed: true
})
};
fetch('https://api.nextlevelmca.com/v1/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nextlevelmca.com/v1/tasks/{id}"
payload = {
"title": "<string>",
"due_date": "<string>",
"assignee_id": "<string>",
"completed": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"entity_type": "business",
"entity_id": "<string>",
"title": "<string>",
"due_date": "<string>",
"assignee": {
"id": "<string>",
"name": "<string>"
},
"completed": true,
"completed_at": "<string>",
"created_by": {
"id": "<string>",
"name": "<string>"
},
"created_at": "<string>",
"updated_at": "<string>"
},
"meta": {}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}Businesses
Update a task
Rename, re-date, reassign, complete (completed: true) or reopen (completed: false) a business or deal task. Requires the businesses:write or the deals:write scope.
PATCH
/
v1
/
tasks
/
{id}
Update a task
curl --request PATCH \
--url https://api.nextlevelmca.com/v1/tasks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"due_date": "<string>",
"assignee_id": "<string>",
"completed": true
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
due_date: '<string>',
assignee_id: '<string>',
completed: true
})
};
fetch('https://api.nextlevelmca.com/v1/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nextlevelmca.com/v1/tasks/{id}"
payload = {
"title": "<string>",
"due_date": "<string>",
"assignee_id": "<string>",
"completed": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"entity_type": "business",
"entity_id": "<string>",
"title": "<string>",
"due_date": "<string>",
"assignee": {
"id": "<string>",
"name": "<string>"
},
"completed": true,
"completed_at": "<string>",
"created_by": {
"id": "<string>",
"name": "<string>"
},
"created_at": "<string>",
"updated_at": "<string>"
},
"meta": {}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}Authorizations
API key (nlmca_live_…) or OAuth access token
Path Parameters
Task id
Body
application/json
Was this page helpful?